import { ListReferral } from "@/contexts/types/Referral";

const generateMockReferrerList = () => {
  const mockReferrerList: ListReferral[] = [];
  for (let i = 1; i <= 10; i++) {
    mockReferrerList.push({
      id: `${i}`,
      name: `Referrer ${i}`,
      email: `referrer${i}@example.com`,
      code: `REF${i}`,
      total: 100 + i * 10,
    });
  }
  return mockReferrerList;
};

const mockReferrerList = generateMockReferrerList();

export default mockReferrerList;
