export type IReferralOrderFilterValue = string | string[] | Date | null;

export type IReferralFilter = {
    status: string[];
    startDate: Date | null;
    endDate: Date | null;
};

export type ReferralOrder = {
    id: string;
    Status: Referralstatus;
    Numcommande: string;
    parrain: string;
    parraine: string;
    Datecommande: Date;
    prix: number;
};



export enum Referralstatus {
    Pending = 'En attente',
    Validated = 'Validé',
    InProgress = 'En cours',
};

export type ListReferral = {
    id: string;
    name: string;
    email: string;
    code: string;
    total: number;

};