'use client';// Import necessary dependencies if any
// Import necessary dependencies if any

import React, { useState } from 'react';
import Typography from '@mui/material/Typography';
import FormControl from '@mui/material/FormControl';
import TextField from '@mui/material/TextField';
import Button from '@mui/material/Button';

import MenuItem from '@mui/material/MenuItem';


const giftcardtype= [
  {
    label: 'carte cadeau mydressin 10 €',
  },
  {
    label: 'carte cadeau mydressin 20 €',
  },
  {
    label: 'carte cadeau mydressin 50 €',
  },
];

const giftcardconception = [
  {
    label: 'joyeux anniversaire',
  },
  {
    label: 'nouvel an',
  },
  {
    label: 'Noël',
  },
];






export default function Addgiftcard() {
  

  

    return (
      <div style={{ display: 'flex', justifyContent: 'normal', alignItems: 'center', height: '100vh' }}>
        <div className="main-content" style={{ marginLeft: '50px' }}>
      
      <form>
        <FormControl defaultValue="" >
       
          <Typography variant="h6" gutterBottom>
          <p style={{ marginBottom: '50px'}}>Créer une carte cadeau</p>
      </Typography>
          <TextField
            id="outlined-nom-code"
            label="nombre de carte cadeau"
            type="search"
            defaultValue="0"
            required
            InputLabelProps={{ shrink: true }}
            variant="outlined"
            style={{ width: '100%' ,marginRight: '80px', marginBottom: '40px' }} 
          />
          <TextField
            id="outlined-description"
            label="numero de la carte cadeau"
            InputLabelProps={{ shrink: true }}
            variant="outlined"
            style={{  width: '100%' ,marginRight: '10px', marginBottom: '40px' }}
            required
          />
          <TextField
            id="outlined-type-code"
            select
            label="Produit de carte-cadeau"
            InputLabelProps={{ shrink: true }}
            defaultValue="carte cadeau mydressin 10 €"
            variant="outlined"
            style={{ width: '100%' ,marginRight: '80px', marginBottom: '40px' }}
            required 
          >
            {giftcardtype.map((option) => (
              <MenuItem key={option.label} value={option.label}>
                {option.label}
              </MenuItem>
            ))}
          </TextField>
          <TextField
               name="creationDateTime"
               label="Date d’expiration (optionnel)"
               type="date"
               fullWidth
               InputLabelProps={{
                   shrink: true,
               }}
               style={{ width: '100%', marginRight: '80px', marginBottom: '40px' }} 
           />
          
         
          <TextField
            id="outlined-search-code"
            label="Email du bénéficiaire (optionnel)"
            type="search"
            InputLabelProps={{ shrink: true }}
            variant="outlined"
            style={{ width: '100%',marginRight: '80px', marginBottom: '40px' }} 
          />
          <TextField
            id="outlined-search-code"
            label="Nom du destinataire (optionnel)"
            type="search"
            InputLabelProps={{ shrink: true }}
            variant="outlined"
            style={{ width: '100%', marginRight: '80px', marginBottom: '40px' }}
          />
          <TextField
            id="outlined-search-code"
            label="de (optionnel) - Montré au destinataire dans l'email de la carte cadeau."
            type="search"
            InputLabelProps={{ shrink: true }}
            variant="outlined"
            style={{ width: '100%' ,marginRight: '80px', marginBottom: '40px' }}
          />
          <TextField
            id="outlined-search-code"
            label="Message (optionnel) "
            multiline
            rows={4}
            type="search"
            InputLabelProps={{ shrink: true }}
            variant="outlined"
            style={{ marginRight: '80px', marginBottom: '40px' }}
          />
             <TextField
            id="outlined-type-code"
            select
            label="Conception de carte-cadeau"
            InputLabelProps={{ shrink: true }}
            defaultValue="carte cadeau mydressin 10 €"
            variant="outlined"
            style={{  width: '100%' ,marginRight: '80px', marginBottom: '40px' }}
            required 
          >
            {giftcardconception.map((option) => (
              <MenuItem key={option.label} value={option.label}>
                {option.label}
              </MenuItem>
            ))}
          </TextField>

          <TextField
            id="outlined-search-code"
            label="Note (optionnel)"
            type="search"
            InputLabelProps={{ shrink: true }}
            variant="outlined"
            style={{ width: '100%' ,marginRight: '80px', marginBottom: '40px' }}

          />
          <Button variant="contained" color="primary" style={{ width: '100%', marginRight: '80px', marginBottom: '40px' }}>
            Enregistrer
          </Button>


        </FormControl>
      </form>
    </div>
    </div>
     
  );


  
}
