import { Card, Grid } from "@mui/material";
import ReactPlayer from 'react-player'

type Props= {
    liveId : string
}

export default function VideoPlayerSection({liveId}:Props) {
    
    return (
        <Grid item lg={4} md={8} xs={12}>
            <Card sx={{ height: 600, zIndex:0, p:0, bgcolor: 'black', display:'flex',alignItems: 'center',justifyContent: 'center'}}>
            <ReactPlayer style={{objectFit:'contain', zIndex:0}} url='https://www.youtube.com/watch?v=LXb3EKWsInQ' />
            </Card>
        </Grid>
    )
}