"use client";

import TextField from "@mui/material/TextField";
import Button from "@mui/material/Button";
import Stack from "@mui/material/Stack";
import Typography from "@mui/material/Typography";
import Card from "@mui/material/Card";

export default function AttributTermeForm() {
  return (
    <Card variant="outlined">
      <Stack spacing={1.5} sx={{ p: 3 }}>
        <Typography variant="subtitle2">Ajouter un Terme</Typography>

        <TextField name="nom" label="Nom" InputLabelProps={{ shrink: true }} />

        <TextField
          label="Slug"
          name="slug"
          InputLabelProps={{ shrink: true }}
        />

        <TextField
          name="Description"
          label="Description  "
          multiline
          rows={4}
          InputLabelProps={{ shrink: true }}
        />

        <Button type="submit" variant="contained" color="primary">
          Enregister
        </Button>
      </Stack>
    </Card>
  );
}
